.item {
    padding: rem(25);
    background: $white;
    border-radius: 10px;
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);

    &__media {
        margin-bottom: rem(15);
        display: flex;
        justify-content: center;
    }

    &__image {
        display: block;
        width: rem(156);
        overflow: hidden;
        border-radius: 10px;
        position: relative;
        flex-shrink: 0;
    }

    &__title {
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(24);
        margin-bottom: rem(10);

        a {
            color: $black;

            &:hover {
                color: $violet;
            }
        }
    }

    &__button {
        margin-top: rem(15);
    }

    &__info {
        color: $black;
        padding: rem(20);
        font-weight: 400;
        font-style: italic;
        font-size: rem(11);
        line-height: rem(13);
        margin-top: rem(15);
        background: #FAF8F9;
        border-radius: 10px;
        display: flex;
        align-items: flex-start;

        i {
            width: 25px;
            display: block;
            flex-shrink: 0;
            margin-right: rem(15);
        }
    }

    &__hover {
        z-index: 20;
        top: calc(50% - 25px);
        left: calc(50% - 25px);
        width: 50px;
        height: 50px;
        display: block;
        position: absolute;
        border-radius: 50%;
        background: rgba(255, 255, 255, 0.3);
        opacity: 0;
        visibility: hidden;
        transition: .3s;

        &:before {
            z-index: 10;
            width: 40px;
            height: 40px;
            content: '';
            display: block;
            top: calc(50% - 20px);
            left: calc(50% - 20px);
            border-radius: 50%;
            position: absolute;
            background: $white url("../img/icon-plus.svg") 50% 50% no-repeat;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(40);
        display: flex;

        &__media {
            margin: 0;
            width: rem(120);
            flex-shrink: 0;
        }

        &__image {
            width: 100%
        }

        &__content {
            padding-left: rem(30);
        }

        &__title {
            font-size: rem(25);
            line-height: rem(30);
            margin-bottom: rem(20);
        }

        &__button {
            margin-top: rem(25);
        }

        &__info {
            font-size: rem(12);
            line-height: rem(15);
            margin-top: rem(25);

            i {
                width: rem(30);
                margin-right: rem(25);
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__media {
            width: rem(200);
            align-items: center;
        }
    }

    @include media-breakpoint-up(xl) {

        &__image {

            &:before {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 5;
                content: '';
                position: absolute;
                background: linear-gradient(277.75deg, rgba(49, 39, 130, 0.8) 6.54%, rgba(58, 37, 130, 0.8) 10.04%, rgba(149, 17, 128, 0.8) 51.17%, rgba(207, 5, 126, 0.8) 80.04%, rgba(229, 0, 126, 0.8) 94.04%);
                opacity: 0;
                visibility: hidden;
                transition: .3s;
            }
        }

        &:hover {

            .item {

                &__image {

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .3s;
                    }
                }

                &__hover {
                    opacity: 1;
                    visibility: visible;
                    transition: .3s;
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(50);

        &__media {
            width: rem(250);
        }

        &__content {
            padding-left: rem(40);
        }

        &__info {
            padding: rem(30);

            i {
                width: rem(40);
            }
        }
    }
}
